BlinkSpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hardware.frontpanel
Interface BlinkSpec

    public interface BlinkSpec

This interface represents the front panel display blinking specification. If BlinkSpec is for `TextDisplay`, all characters blink at the same time.

Method Summary
`int` | `getIterations()` Gets the number of times per minute the display will blink.
`int` | `getMaxCycleRate()` Gets the maximum number of times per minute all segments in an LED can blink.
`int` | `getOnDuration()` Gets the percentage of time the text will be on during one blink iteration.
`void` | `setIterations(int iterations)` Sets the number of times per minute data will blink across all of the LEDs.
`void` | `setOnDuration(int duration)` Sets the percentage of time the text display will remain on during one blink iteration.

Method Detail

### getIterations

    int getIterations()

  Gets the number of times per minute the display will blink.

  Returns:
    Number of blink iterations per minute.

### getMaxCycleRate

    int getMaxCycleRate()

  Gets the maximum number of times per minute all segments in an LED can blink.

  Returns:
    Maximum number of blink iterations per minute. Returns zero if blinking is not supported.

### setIterations

    void setIterations(int iterations)

  Sets the number of times per minute data will blink across all of the LEDs.

  Parameters:
    `iterations` - Number of blink iterations per minute.
  Throws:
    `IllegalArgumentException` - if the iteration is negative or cannot be supported by the front panel.

### getOnDuration

    int getOnDuration()

  Gets the percentage of time the text will be on during one blink iteration.

  Returns:
    Text display blink on percentage duration.

### setOnDuration

    void setOnDuration(int duration)

  Sets the percentage of time the text display will remain on during one blink iteration.

  Parameters:
    `duration` - Text display blink on percentage duration. Setting this value to 100 sets the display no solid, no blinking. Setting this value to 0 effectively turns off the front panel display. Subtracting this value from 100 yields the percentage of off time during one blink iteration.
  Throws:
    `IllegalArgumentException` - if the duration is negative or exceeds 100.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD